CREATE TABLE grc_asmt_busentity_hier (
    ASSESSMENT_ID              NUMBER(18, 0),
    CHILD_OBJECT_TYPE_CODE     VARCHAR2(120),
    CHILD_ID                   NUMBER(18, 0),
    PARENT_OBJECT_TYPE_CODE    VARCHAR2(120),
    PARENT_ID                  NUMBER(18, 0),
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    PERSPECTIVE_ITEM_ID        NUMBER(18, 0),
    IS_NEW_PROPOSED_RECORD     VARCHAR2(4)      NOT NULL,
    ASSESSMENT_ID              NUMBER(18, 0),
    CHILD_OBJECT_TYPE_CODE     VARCHAR2(120),
    CHILD_ID                   NUMBER(18, 0),
    PARENT_OBJECT_TYPE_CODE    VARCHAR2(120),
    PARENT_ID                  NUMBER(18, 0),
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    PERSPECTIVE_ITEM_ID        NUMBER(18, 0),
    IS_NEW_PROPOSED_RECORD     VARCHAR2(4)      NOT NULL,
    CONSTRAINT pk_grc_asmt_busentity_hier PRIMARY KEY (ASSESSMENT_ID, CHILD_OBJECT_TYPE_CODE, CHILD_ID, PARENT_OBJECT_TYPE_CODE, PARENT_ID, PERSPECTIVE_ITEM_ID, ASSESSMENT_ID, CHILD_OBJECT_TYPE_CODE, CHILD_ID, PARENT_OBJECT_TYPE_CODE, PARENT_ID, PERSPECTIVE_ITEM_ID)
);
